Skip to main content
GET
/
job
/
{job_id}
Get job by job ID
curl --request GET \
  --url https://api.letraz.app/api/v1/job/{job_id}/ \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "<string>",
  "title": "<string>",
  "company_name": "<string>",
  "salary": "<string>",
  "status": "<string>",
  "job_url": "<string>",
  "location": "<string>",
  "requirements": "<unknown>",
  "description": "<string>",
  "responsibilities": "<unknown>",
  "benefits": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://outline.letraz.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

job_id
string
required

The Job ID

Response

id
string
required
read-only

The unique identifier for the job entry.

title
string
required

The title of the job as mentioned in the job posting. If not available, a meaningful title would be auto-generated.

Maximum string length: 250
company_name
string
required

The name of the company that posted the job.

Maximum string length: 250
salary
string
required
read-only
status
string
required
read-only
job_url
string | null

The URL of the job posting. (optional)

Maximum string length: 1000
location
string | null

The location of the job as mentioned in the job posting. (optional)

Maximum string length: 100
requirements
any | null

An array representation of the requirements of the job as mentioned in the job posting. (optional)

description
string | null

The description of the job as mentioned in the job posting. (optional)

Maximum string length: 3000
responsibilities
any | null

An array representation of the responsibilities the candidate would be undertaking as mentioned in the job posting. (optional)

benefits
any | null

An array representation of the benefits the candidate would get as mentioned in the job posting. (optional)